Skip to content

insertMaintenanceDispatch

WRITE

Insert maintenance dispatch.

POST /api/v1/resources/insertMaintenanceDispatch
curl -X POST '<your-host>/api/v1/resources/insertMaintenanceDispatch' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "locationId": "string"
  }'
Response
{
  "id": "string",
  "maintenanceDispatchId": "string"
}

Parameters

ParameterType
"Down""Planned""Impact""No Impact"
"Low""Medium""High""Critical"
"Preventive""Operator Performed""Support Required""OEM Required"
"Scheduled""Reactive""Non-Conformance"
"Open""Assigned""In Progress""Completed""Cancelled"

Input schema

schema
{
  "type": "object",
  "properties": {
    "maintenanceDispatchId": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "Open",
        "Assigned",
        "In Progress",
        "Completed",
        "Cancelled"
      ]
    },
    "priority": {
      "type": "string",
      "enum": [
        "Low",
        "Medium",
        "High",
        "Critical"
      ]
    },
    "severity": {
      "type": "string",
      "enum": [
        "Preventive",
        "Operator Performed",
        "Support Required",
        "OEM Required"
      ]
    },
    "source": {
      "type": "string",
      "enum": [
        "Scheduled",
        "Reactive",
        "Non-Conformance"
      ]
    },
    "oeeImpact": {
      "type": "string",
      "enum": [
        "Down",
        "Planned",
        "Impact",
        "No Impact"
      ]
    },
    "workCenterId": {
      "type": "string"
    },
    "locationId": {
      "type": "string"
    },
    "assignee": {
      "type": "string"
    },
    "suspectedFailureModeId": {
      "type": "string"
    },
    "plannedStartTime": {
      "type": "string"
    },
    "plannedEndTime": {
      "type": "string"
    },
    "takesWorkCenterOffline": {
      "type": "boolean"
    },
    "content": {}
  },
  "required": [
    "locationId"
  ]
}